﻿body {
    padding-top: 0;
    background-color: #F5F5F5;
    overflow: hidden; /* hide body overflows */
}

#map {
    height: 100%; /*todo: dynamic height*/
    width: 100%;
}

.main-view {
    width: 33.33%;
    border: 2px solid grey;
    margin-right: -2px;
    margin-bottom: -2px;
    overflow: auto;
    float: left;
}
.main-view-map {
    height: 100%;
}
.main-view-four {
    float: left;
    width: 33.33%;
    border: 2px solid grey;
    margin-right: -2px;
    margin-bottom: -2px;
    overflow: auto;
}
.more-info {
    width: 16px;
    height: 16px;
    cursor: pointer;
}

/* Bubble */
#combine, #population {
    cursor: pointer;
}

/*
.map-marker-selected {
*/
/*
    -webkit-animation: pulsate 2s infinite;
    -moz-animation: pulsate 2s infinite;
    animation: pulsate 2s infinite;
*/
    
/*
    -webkit-animation:spin 4s linear infinite;
    -moz-animation:spin 4s linear infinite;
    animation:spin 4s linear infinite;
    
    -webkit-transform-origin: 100% 100% 0;
    -moz-transform-origin: 100% 100% 0;
    -o-transform-origin: 100% 100% 0;
    transform-origin: 100% 100% 0;
*/

/*
}
*/
.map-marker-hovered {

}
.map-marker:hover {
    -webkit-animation: pulsate 1s ease-out infinite;
    -moz-animation: pulsate 1s ease-out infinite;
    animation: pulsate 1s ease-out infinite;
}
@-webkit-keyframes pulsate {/*https://stackoverflow.com/questions/31961549/pulsating-leaflet-marker-using-css3-animations*/
    0% {opacity: 0.2;}
    50% {opacity: 1.0;}
    100% {opacity: 0.2;}
}

/*
@-moz-keyframes spin { 100% { -moz-transform: rotate(360deg); } }
@-webkit-keyframes spin { 100% { -webkit-transform: rotate(360deg); } }
@keyframes spin { 100% { -webkit-transform: rotate(360deg); transform:rotate(360deg); } }
*/

/*Profile*/
#profile {
    /*width: 100%;
    margin-top: 100px;
    margin-bottom: 200px;
    border-top: 1px solid #333;
    padding-top: 60px;
    display: inline-block;*/
}

#profile-preload {
    display: flex;
    margin-left: 5%;
    margin-top: 20px;
    width: 90%;
    border: 1px dashed #bbb;
    font-size: 1.4em;
    text-align: center;
    color: #bbb;
    vertical-align: middle;
    align-items:center; /*CSS 3*/
    justify-content: center; /*CSS 3*/
}

.row1 {
    display: flex;
    flex-direction: row;
    justify-content: space-around;
    margin-top: 1%;
}

.column1 {
    /*display: flex;*/
    flex-direction: column;
}

.column2 {
    /*display: flex;*/
    flex-direction: column;
}

#school-zip {
    text-align: center;
}
#profile-search-button-icon {
    /* https://openclipart.org/detail/188650/search-ideogram */
    background: url('data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABQAAAAUCAYAAACNiR0NAAAABmJLR0QA/wD/AP+gvaeTAAAACXBIWXMAAAsTAAALEwEAmpwYAAABYUlEQVQ4y6XUvUucQRDH8Q+HYHKFBHvhKgVBiaI2pr4uRWxsAjYKNnJd/grFzkYQGwsLu4DEl1awDTbWWgRUDt9QuOCl2D2ynM9z9xw3sDzDM7/57jO7Mw/vbRQbuMAjnnGJLUzpwQYiqIFmznrDLspFYIdJ4hm+YwJzWMWvJH6OwU7AzSh8QQ2lHN0S7qN2PQ82hr9RVCtwNItJ+V+yBBtJmaUCQDiIOftZwYsYXCsIg4WYc5cVfIzB+R6AFf8vaDgNlJIyGz0A64nfbAdeR38aHwoCx5Pq6u3A0+h/w2eh30a7AJfj82dWcFpogabQZz/wKtz+ZIa+mpzfXN6Ou1FwL/RZFSd4wm/MJrA/UXuDj3nAsjBOrZ0PhNaoYARfseP9bJ92gg4K4/Qm/+fQTL6wtU46QQnjtI/bJOkBe5iJyUdt0ONu0JYN4VPG+76geZYF3e4HmAW96hfYgm5H2Mo/4Gt4AIY8NPgAAAAASUVORK5CYII=');
    background-repeat: no-repeat;
    background-position: left;
    display: inline-block;
    width: 27px;
}
#profile-search-button {
    /*background: url('data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABQAAAAUCAYAAACNiR0NAAAABmJLR0QA/wD/AP+gvaeTAAAACXBIWXMAAAsTAAALEwEAmpwYAAABYUlEQVQ4y6XUvUucQRDH8Q+HYHKFBHvhKgVBiaI2pr4uRWxsAjYKNnJd/grFzkYQGwsLu4DEl1awDTbWWgRUDt9QuOCl2D2ynM9z9xw3sDzDM7/57jO7Mw/vbRQbuMAjnnGJLUzpwQYiqIFmznrDLspFYIdJ4hm+YwJzWMWvJH6OwU7AzSh8QQ2lHN0S7qN2PQ82hr9RVCtwNItJ+V+yBBtJmaUCQDiIOftZwYsYXCsIg4WYc5cVfIzB+R6AFf8vaDgNlJIyGz0A64nfbAdeR38aHwoCx5Pq6u3A0+h/w2eh30a7AJfj82dWcFpogabQZz/wKtz+ZIa+mpzfXN6Ou1FwL/RZFSd4wm/MJrA/UXuDj3nAsjBOrZ0PhNaoYARfseP9bJ92gg4K4/Qm/+fQTL6wtU46QQnjtI/bJOkBe5iJyUdt0ONu0JYN4VPG+76geZYF3e4HmAW96hfYgm5H2Mo/4Gt4AIY8NPgAAAAASUVORK5CYII=');
    background-repeat: no-repeat;
    background-position: left;*/
    text-align: right;
    width: 140px;
}
.year {
    background-color: none;
}
.unselectable-text {
    /*https://stackoverflow.com/questions/2310734/how-to-make-html-text-unselectable*/
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

#slider-map {
    float: left;
    width: 55%;
}

.ui-slider-tick-mark {
    display: inline-block;
    width: 2px;
    background: black;
    height: 12px;
    position: absolute;
    top: 0px;
}

.info {
    padding: 6px 8px;
    font: 14px/16px Arial, Helvetica, sans-serif;
    background: white;
    background: rgba(255,255,255,0.8);
    box-shadow: 0 0 15px rgba(0,0,0,0.2);
    border-radius: 5px;
}

    .info h4 {
        margin: 0 0 5px;
        color: #777;
    }

.legend {
    text-align: left;
    line-height: 27px;
    color: #555;
}

    .legend i {
        width: 18px;
        height: 18px;
        float: left;
        margin-right: 8px;
        opacity: 0.7;
    }

/* General */
.paddedInputs {
    margin-right: 2px !important;
}

fieldset.hasPointer input:hover {
    cursor: pointer;
}

fieldset.hasPointer label:hover {
    cursor: pointer;
}

fieldset.filters { /*Override*/
    padding: 0 !important;
    margin: 0 !important;
    border: 1px solid silver !important;
    width: fit-content;
}

    fieldset.filters legend { /*Override*/
        display: block;
        width: auto;
        padding: 0;
        margin-bottom: 0;
        font-size: 1em;
        line-height: inherit;
        color: #333;
        border: 0;
        border-bottom: none;
    }

fieldset.filters {
    display: inline-block;
}

/* Stacked Bar */
#toolbar-stackedBar {
    overflow: hidden;
    border:1px solid black;
    height: 15%;
}

/* Profile */
#profile h2, h3 {
    margin-top: 0;
}
.profile-container {
    float: left;
    border: 1px solid #bbb;
    padding: 4px;
    margin-left: 10px;
    margin-right: 2px;
    margin-bottom: 20px; /* On wrap, requires space between containers */
}
#profile-content-multi>div {
    float: left;
    /*zoom: 0.8; Reduce some oversizing here.*/
}
.profile-multi-tooltip {
    cursor: pointer;
}
.profile-trends-key {
    display: initial;
    width: 10px;
    height: 10px;
    margin-right: 0px;
}
.profile-trends-key2 { /*Same as 1 but not selectable*/
    display: initial;
    width: 10px;
    height: 10px;
    margin-right: 0px;
}
.profile-bar-rect:hover {
    cursor: pointer;
}
#profile-charts {
    text-align: center;
}
.hasPointer:hover {
    cursor: pointer;
}

.profile-backToTop {
    position: absolute;
    left: 90%;
    font-size: 1.6em;
    text-decoration: underline;
    cursor: pointer;
}
/* Profile: Line compare chart */
#div-line-compare-filters {
    border-bottom: 1px solid #bbb;
    padding: 2px;
    margin-bottom: 2px;
}

.profile-axis {
    font-family: sans-serif;
    font-size: 11px;
}

    .profile-axis path,
    .profile-axis line {
        fill: none;
        stroke: #ddd;
        shape-rendering: crispEdges;
    }
/* Profile lightbox */
#profile-lightbox {
    width: 100%;
    height: 100%;
    background-color: #444;
    opacity: 0.5;
    position: fixed;
    top: 0;
    left: 0;
    cursor: pointer;
    z-index: 1000;
}

#profile-lightbox-container {
    width: 80%;
    height: 80%;
    margin-left: 10%;
    padding: 24px 48px;
    background-color: #fcfcfc;
    opacity: 1;
    border: 1px solid #bbb;
    border-radius: 6px;
    overflow: auto;
    position: fixed;
    top: 80px;
    left: 0;
    z-index: 1000;
    box-shadow: 0px 0px 260px 60px #888888;

}
/* See, e.g., https://stackoverflow.com/questions/18611195/x-close-button-only-using-css */ 
#profile-lightbox-close-btn2:hover {
    opacity: 1;
    cursor: pointer;
}
#profile-lightbox-close-btn2{
    position: absolute;
    left: 90%;
    top: 20px;
    font-size: 60px;
    color: #000;
    opacity: 0.6;
    z-index: 10000;
}
#profile-lightbox-close-btn2:after{
  display: inline-block;
  content: "\00d7"; /* This will render the 'X' */
}


.profile-lightbox-compare-container {
    float: left;
    width: 49.5%;
    height: 80%;
    margin: 0;
    border: 0;
    padding: 4px;
    overflow: auto;
}

#profile-lightbox-compare-search {
    width: 50%;
    margin-left: 5%;
    margin-right: 2%;
}

.profile-lightbox-compare-results {
    width: 90%;
    height: 70%;
    margin-top: 4px;
    margin-left: 5%;
    border: 1px solid #bbb;
    background-color: #eeefee;
    overflow: auto;
    padding: 1px;
}
    /** Scrollbar hack for non-firefox, non-ie browsers, to keep
 *  the border from disappearing underneath the scrollbar. **/
    .profile-lightbox-compare-results::-webkit-scrollbar {
        width: 1em;
        cursor: pointer;
    }

    .profile-lightbox-compare-results::-webkit-scrollbar-thumb {
        background-color: darkgrey;
        outline: 1px solid slategrey;
        cursor: pointer;
    }

.profile-lightbox-compare-searchResultDiv {
    width: 100%;
    border-bottom: 1px solid #ddd;
    border-bottom: 1px solid #ddd;
    background-color: #eeefee;
}

    .profile-lightbox-compare-searchResultDiv:hover {
        background-color: #eeffee;
        cursor: pointer;
    }
/* Network */
#network-charts {/* center the charts */
    text-align: center;
}
#div-network-filters {
    border: 1px solid #bbb;
    padding: 2px;
    margin-bottom: 2px;
}

.network-axis path,
.network-axis line {
    fill: none;
    stroke: #ddd;
    shape-rendering: crispEdges;
}

.network-axis text {
    font-family: sans-serif;
    font-size: 10px;
}

.network-rect:hover {
    cursor: pointer;
}

.network-rect {
    fill: #555
}

.network-chart-title {
    float: left;
    width: 49%;
    text-align: center;
    border: 1px solid #ccc;
}

/**
 * Tooltip
 * Reference:
 * http://www.d3noob.org/2013/01/adding-tooltips-to-d3js-graph.html
 **/
div.tooltip {
    position: absolute;
    text-align: left;
    top:0;
    left:0;
    padding: 4px 8px 4px 8px;
    font: 12px sans-serif;
    background: lightsteelblue;
    border-color: 0px solid #333;
    border-radius: 8px;
    pointer-events: none;
    margin-left: 20px;
}
